/*******************************************************************************

  
  Copyright(c) 1999 - 2012 Intel Corporation. All rights reserved.
  
  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the Free 
  Software Foundation; either version 2 of the License, or (at your option) 
  any later version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT 
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
  more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 
  Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
  The full GNU General Public License is included in this distribution in the
  file called LICENSE.
  
  Contact Information:
  e1000 mailing list <e1000-devel@lists.sourceforge.net>
  Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497

*******************************************************************************/

#include <pci/pci.h>
#include <stdint.h>
#include <sys/types.h>
#include "e1000_hw.h"
#include "ixgbe_type.h"

extern void dump_8254x_registers(volatile void *mem, u32 size, enum e1000_mac_type mac_type);
extern void dump_8257x_registers(volatile void *mem, u32 size, enum e1000_mac_type mac_type);
extern void dump_80003es2lan_registers(volatile void *mem, u32 size);
extern void dump_ichlan_registers(volatile void *mem, u32 size, enum e1000_mac_type mac_type);
extern void dump_82575_registers(volatile void *mem, u32 size);
extern void dump_82576_registers(volatile void *mem, u32 size);
extern void dump_82576vf_registers(volatile void *mem, u32 size);
extern void dump_82598_registers(volatile void *mem, u32 size);
extern void dump_82599_registers(volatile void *mem, u32 size);
extern void dump_82599vf_registers(volatile void *mem, u32 size);
extern void dump_X540_registers(volatile void *mem, u32 size);
extern void dump_X540vf_registers(volatile void *mem, u32 size);
extern void dump_I350_registers(volatile void *mem, u32 size);

#define printit32(i, name, mem) \
		if (offset) \
			printf("\t(0x%05x) %-22s%08x\n", i, name, *((u32 *)(mem + i))); \
		else \
			printf("\t%-22s%08x\n", name, *((u32 *)(mem + i)));

#define printit8(i, name, mem) \
		if (offset) \
			printf("\t(0x%05x) %-22s%08x\n", i, name, *((u8 *)(mem + i))); \
		else \
			printf("\t%-22s%08x\n", name, *((u8 *)(mem + i)));

typedef enum {
	eth_device_unknown = -1,
	e1000_device,
	ixgbe_device,
	eth_device_max
} eth_device_type;

struct eth_device_info {
	eth_device_type device_type;
	int mac_type;
};

// vi:ts=4:sw=4:ht=4:
